Subject: Re: bug#62892: proposal to extend mark-sexp to go forward and backward on command

From: Stefan Monnier <[email-masked]>
Date: Sun, 21 May 2023 10:31:41 -0400

> Stefan, WDYT about this?

There's a tension: on the one hand, there's a large number of
alternative UIs with many slightly different commands from the ones we
have, so we can't just add every single one of them to Emacs (instead,
we aim to provide convenient building blocks for them), but on the other
hand, we also want to make it easy for end users who don't want to
program to use slightly different UIs.

Maybe the new building block is useful enough (i.e. can be used in
existing code, thus reducing overall complexity)?  I haven't looked
closely enough to have a clear opinion, I'm afraid.

        Stefan